---
name: Izzy Fee
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/support-management/">Support
  Engineering Manager (AMER)</a>
reports_to: lee-m
picture: izzyfee.png
pronunciation:
twitter:
gitlab: izzyfee
departments:
- Customer Support
expertise:
story: Izzy (aka Elizabeth) joins GitLab as a part of the Support Engineering team,
  shifting gears back to her Support roots from her last role in QA, release, and
  change management. Providing top-notch support to customers, and supportive leadership
  to those working the front-lines, remains her top priority. During Izzy's spare
  time, she enjoys skiing, running (training for half-marathons), and spending time
  with her fraternal twins and husband in Colorado.
specialty: Global

